(use-modules (guix) (gnu build linux-container)
             (gnu packages bootstrap))

(with-store s
  (let* ((drv (package-derivation s %bootstrap-guile))
         (out (derivation->output-path drv)))
    (build-derivations s (list drv))
    (pk 'status
        (call-with-container (map (lambda (dir)
                                    `(,dir device ,dir "none" (bind-mount) #f #f))
                                  (cons out (references s out)))
          (lambda ()
            (pk 'p (getpid))
            (system* (string-append out "/bin/guile")))
          #:namespaces '(pid user mnt)))))
